#!/usr/bin/env python3
"Adds all students to a single repository."


import os


REPO = "impetus"
USERFILE = "students.csv"
SEPARATOR = ","
USERFORMAT = ["team", "lastname", "firstname", "email", "password"]


students = list()

with open(USERFILE) as fobj:
	for line in fobj:
		columns = line.strip().split(SEPARATOR)
		students.append({c:columns[i] for i, c in enumerate(USERFORMAT)})

os.system("touch {}/conf/htpasswd".format(REPO))

for student in students:
	student["username"] = student["email"].split("@")[0].strip()
	os.system("htpasswd -b {}/conf/htpasswd {} {}".format(REPO, student["username"], student["password"]))

